B&R Remote Desktop Client

Allgemein

B&R stellt mit "B&R Remote Desktop Client" eine Werkzeug zur Verfügung, mit welchem Remotedesktopverbindungen zu einem "B&R Remote Desktop Server" auf einfache Weise parametriert werden kann.

Die Dokumentation bezieht sich auf den B&R Remote Desktop Clients für Windows XP/XPe mit der Version V01.11.
Als Serversoftware wird die Version ab V01.11 empfohlen. Genauere Informationen entnehmen Sie bitte der Liesmich.txt von der Serversoftware!

Die Clientsoftware läuft in zwei unterschiedlichen Betriebsmodi:

Configuration Mode

Runtime Mode

In der unteren Statusleiste werden verschiede Statusmeldungen angezeigt.

Die Clientsoftware läuft ausschließlich auf B&R Geräten unter den Betriebsystemen Windows XP Professional und Windows XP Embedded.

In diesem Abschnitt werden folgende Themen behandelt:

B&R Remote Desktop Client

Configuration Mode

Runtime Mode

Startseite

Nächstes Thema >>
Configuration Mode


Configuration Mode

In diesem Abschnitt werden folgende Themen behandelt:

Configuration Mode

Systemtray Menü

Tab Configuration

Tab Performance

Tab Redirection

Tab Other

User Konfigurationsfile

<< Vorheriges Thema
B&R Remote Desktop Client

Startseite

Nächstes Thema >>
Systemtray Menü

Kapitelanfang


Systemtray Menü

Nach dem Starten der Software erscheint im Systemtray folgendes Icon:

Durch Klicken auf das Trayicon mit der rechten Maustaste gelangt man in folgendes Menü:

Menüpunkt Configuration

Nach Klicken auf Configuration gelangt man zu folgender Passworteingabedialog:

Per Default kann man Hier auf OK klicken.

Menüpunkt Securtiy

Nach Klicken auf diesen Menüpunkt kann das Passwort für die Menübedienung definiert werden:

Menüpunkt About

Hier bekommt man Informationen über die Programmversion:

Menüpunkt Exit

Durch Klicken auf diesen Menüpunkt kann man das Programm nach Eingabe des Passwortes beenden.

<< Vorheriges Thema
Configuration Mode

Startseite

Nächstes Thema >>
Tab Configuration


Tab Configuration

Einfacher Remotedesktopmode

Sofern die Checkbox Connect to Server nicht angewählt ist, kann die Clientsoftware als ganz normaler Remotedesktop Client verwendet werden!

On-Screen Keyboard

Wird auf diesen Button geklickt wird folgendes "On-Screen Keyboard" angezeigt:

Remotedesktop

Nach Eingabe von Username, Password, Use Password, Resolution und Server kann durch Drücken auf den Button "Remote Desktop" eine normale Remotedesktopverbindung mit den in Performance, Redirection und Other definierten Einstellungen aufgebaut werden.

Connect to Server

Wenn diese Checkbox angewählt wurde wird nach Klicken auf den Save Button automatisch in den Runtimemode gewechselt.

Weiters wird die "B&R Remote Desktop Client" Software automatisch nach jedem Rechnerstart mit der gespeicherten Konfiguration im Runtimemode gestartet.

Server

Hier kann der Rechnername bzw. die TCP-IP Adresse vom "B&R RDP Server" eingegeben werden.

Falls eine Punkt zu Punkt Verbindung zum "B&R RDP Server" besteht, bzw. kein DHCP Server vorhanden ist, muß hier die TCP-IP Adresse des Servers eingegeben werden.

Port

Hier muß die idente Portnummer wie am B&R RDP Server eingeben werden.

Set Default

Durch Klicken auf diesen Button werden alle Eingabewerte auf den Defaultzustand gesetzt.

Save

Speichert alle Einstellungen ab, und wechselt in den Runtimemode, sofern die Checkbox "Connect to Server" angewählt wurde.

<< Vorheriges Thema
Systemtray Menü

Startseite

Nächstes Thema >>
Tab Performance


Tab Performance

Nach dem Klicken auf den Tab Performance bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Performance Option angewählt werden.

<< Vorheriges Thema
Tab Configuration

Startseite

Nächstes Thema >>
Tab Redirection


Tab Redirection

Nach dem Klicken auf den Tab Redirection bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Redirection Option angewählt werden.

<< Vorheriges Thema
Tab Performance

Startseite

Nächstes Thema >>
Tab Other


Tab Other

Nach dem Klicken auf den Tab Other bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Option angewählt werden.

<< Vorheriges Thema
Tab Redirection

Startseite

Nächstes Thema >>
User Konfigurationsfile


User Konfigurationsfile

Ab dieser Clientversion ist es für den Anwender möglich, anwenderspezifische Aktionen in einem eigenen Userkonfigurationsfile zu definieren.
Das Konfigurationsfile muß mit mit dem Namen User.cfg im Installationspfad des Clients angelegt werden.
Der Aufbau des Files einspricht dem eines Standard Windows Ini-File.

Fileaufbau

Folgende Einträge sind möglich:

[UserConfig]
TryConnectActionCnt=5
UserProcessName=C:\Windows\Notepad.exe

[UserConfig]

Dieser Eintrag muß immer vorhanden sein.

TryConnectActionCnt

Mit diesem Eintrag kann definiert werden, was nach <n> definierten Verbindungsfehlversuchen zum Server passieren soll.
Sofern "UserProcessName" definiert wurde wird nach <n> Fehlversuchen der Userprozeß gestartet.

Der Wert darf zwischen 0 und 50 sein.

UserProcessName

Nach Ablauf von "TryConnectActionCnt" wird der definierte Userprozeß gestartet.
Der Client wartet solange bis der Userprozeß beendet wird, und führt keine anderen Aktionen durch.

Wenn der Userprozeß beendet wird, wird erneut versucht eine Verbindung zum Server aufzubauen.
Ist nach Ablauf von "TryConnectActionCnt" noch immer keine Verbindung zum Server möglich, wird erneut der "UserProcessName" gestartet.

Das User Konfigurationsfile braucht nur angelegt werden, wenn userspezifische Aktionen gewünscht sind. Anderenfalls kann ein Anlegen entfallen!

<< Vorheriges Thema
Tab Other

Startseite

Nächstes Thema >>
Runtime Mode


Runtime Mode

In diesem Abschnitt werden folgende Themen behandelt:

Runtime Mode

Runtime Übersicht

<< Vorheriges Thema
User Konfigurationsfile

Startseite

Nächstes Thema >>
Runtime Übersicht


Runtime Übersicht

Wurde der Client gestartet so bekommt folgende Übersicht angezeigt:

On-Screen Keyboard

Wird auf diesen Button geklickt wird folgendes "On-Screen Keyboard" angezeigt

Username

Durch Klicken auf die Combobox Username kann man einen Usernamen aussuchen, mit den man sich über Remotedesktop mit dem Server verbinden will.

Remote Desktop

Durch Drücken auf den Button Remote Desktop kann man sich mittels Remote Desktop zum Server verbinden.
Der Username, Passwort, Resolution wird dabei vom "B&R RDP Server" and den "B&R RDP Client" gesendet.

Am Client brauchen also keinerlei Eingaben getätigt werden.

Status Led

Das Status Led zeigt dem Benutzer folgende Verbindungszustände an:

Grün:

Kein anderer Client ist mit dem Server verbunden. Eine Remotedesktopverbindung vom Client zum Server ist erlaubt.

In der Statusleiste wird folgendes angezeigt:

Gelb:

Ein anderer Client ist mit dem Server verbunden. Der Name des aktuell verbunden Clients wird in Statusleiste angezeigt. Eine Remotedesktopverbindung vom Client zum Server ist erlaubt.

In der Statusleiste wird folgendes angezeigt:

Rot:

Der Server hat die Erlaubnis zum Verbinden über Remote Desktop gesperrt. Ob aktuell ein Client mit dem Server verbunden ist sieht man in der Statusleise. Der Remote Desktop Button kann nicht gedrückt werden, bis der Server die Remotedesktopverbindung wieder freigibt.

In der Statusleiste wird folgendes angezeigt:

Restart

Durch Drücken des Buttons Restart wird am "B&R RDP Server" und an allen mit Ihm verbundenen "B&R RDP Clients" ein "Restart" ausgeführt.

Turn Off

Durch Drücken des Buttons Turn Off wird am "B&R RDP Server" und an allen mit Ihm verbundenen "B&R RDP Clients" ein "Turn Off" ausgeführt.

<< Vorheriges Thema
Runtime Mode

Startseite